;; sawfish theme file
;; created by GimpMill plus manual tweaks for shaded windows

(require 'make-theme)

(let
	(
		(patterns-alist
		 '(
				("button-min" ;; 57 x 21
					(inactive "button-min-cold.png")
					(focused "button-min-hot.png")
					(highlighted "button-min-highlighted.png")
					(clicked "button-min-clicked.png")
				)
				("button-max" ;; 57 x 21
					(inactive "button-max-cold.png")
					(focused "button-max-hot.png")
					(highlighted "button-max-highlighted.png")
					(clicked "button-max-clicked.png")
				)
				("button-close" ;; 57 x 21
					(inactive "button-close-cold.png")
					(focused "button-close-hot.png")
					(highlighted "button-close-highlighted.png")
					(clicked "button-close-clicked.png")
				)
				("border-left" ;; 58 x 100
					(inactive "border-left-cold.png")
					(focused "border-left-hot.png")
					(highlighted "border-left-hot.png")
					(clicked "border-left-hot.png")
				)
				("border-topleft" ;; 70 x 29
					(inactive "border-topleft-cold.png")
					(focused "border-topleft-hot.png")
					(highlighted "border-topleft-hot.png")
					(clicked "border-topleft-hot.png")
				)
				("border-topleft-shaded" ;; 20 x 17
					(inactive "border-topleft-shaded-cold.png")
					(focused "border-topleft-shaded-hot.png")
					(highlighted "border-topleft-shaded-hot.png")
					(clicked "border-topleft-shaded-hot.png")
				)
				("border-topright" ;; 20 x 17
					(inactive "border-topright-cold.png")
					(focused "border-topright-hot.png")
					(highlighted "border-topright-hot.png")
					(clicked "border-topright-hot.png")
				)
				("border-bottomright" ;; 20 x 17
					(inactive "border-bottomright-cold.png")
					(focused "border-bottomright-hot.png")
					(highlighted "border-bottomright-hot.png")
					(clicked "border-bottomright-hot.png")
				)
				("border-top" ;; 150 x 17
					(inactive "border-top-cold.png")
					(focused "border-top-hot.png")
					(highlighted "border-top-hot.png")
					(clicked "border-top-hot.png")
				)
				("border-bottom" ;; 150 x 17
					(inactive "border-bottom-cold.png")
					(focused "border-bottom-hot.png")
					(highlighted "border-bottom-hot.png")
					(clicked "border-bottom-hot.png")
				)
				("border-bottomleft" ;; 70 x 29
					(inactive "border-bottomleft-cold.png")
					(focused "border-bottomleft-hot.png")
					(highlighted "border-bottomleft-hot.png")
					(clicked "border-bottomleft-hot.png")
				)

			)
		)
		(frames-alist
		 '(
				("normal"
					(
						(background . "button-min")
						(left-edge . -65)
						(top-edge . 47)
						(class . iconify-button)
					)
					(
						(background . "button-max")
						(left-edge . -65)
						(top-edge . 26)
						(class . maximize-button)
					)
					(
						(background . "button-close")
						(left-edge . -65)
						(top-edge . 5)
						(class . close-button)
					)
					(
						(background . "border-left")
						(left-edge . -65)
						(top-edge . 68)
						(bottom-edge . 5)
						(class . title)
					)
					(
						(background . "border-topleft")
						(left-edge . -65)
						(top-edge . -24)
						(class . top-left-corner)
					)
					(
						(background . "border-topright")
						(right-edge . -20)
						(top-edge . -24)
						(class . top-right-corner)
					)
					(
						(background . "border-bottomright")
						(right-edge . -20)
						(bottom-edge . -24)
						(class . bottom-right-corner)
					)
					(
						(background . "border-top")
						(left-edge . 5)
						(right-edge . 0)
						(top-edge . -24)
						(class . title)
						(text . window-name)
						(font . "-b&h-lucida-bold-r-normal-*-*-120-*-*-p-*-iso8859-1")
						(x-justify . right)
						(y-justify . center)
						(foreground . "#000000")
					)
					(
						(background . "border-bottom")
						(left-edge . 5)
						(right-edge . 0)
						(bottom-edge . -24)
						(class . bottom-border)
					)
					(
						(background . "border-bottomleft")
						(left-edge . -65)
						(bottom-edge . -24)
						(class . bottom-left-corner)
					)
				)
				("shaped"
					(
						(background . "border-topleft-shaded")
						(left-edge . -15)
						(top-edge . -24)
						(class . menu-button)
					)
					(
						(background . "border-topright")
						(right-edge . -20)
						(top-edge . -24)
						(class . top-right-corner)
					)
					(
						(background . "border-top")
						(left-edge . 5)
						(right-edge . 0)
						(top-edge . -24)
						(class . title)
						(text . window-name)
						(font . "-b&h-lucida-bold-r-normal-*-*-120-*-*-p-*-iso8859-1")
						(x-justify . right)
						(y-justify . center)
						(foreground . "#000000")
					)
				)
				("transient"
					(
						(background . "button-min")
						(left-edge . -65)
						(top-edge . 47)
						(class . iconify-button)
					)
					(
						(background . "button-max")
						(left-edge . -65)
						(top-edge . 26)
						(class . maximize-button)
					)
					(
						(background . "button-close")
						(left-edge . -65)
						(top-edge . 5)
						(class . close-button)
					)
					(
						(background . "border-left")
						(left-edge . -65)
						(top-edge . 68)
						(bottom-edge . 5)
						(class . left-border)
					)
					(
						(background . "border-topleft")
						(left-edge . -65)
						(top-edge . -24)
						(class . top-left-corner)
					)
					(
						(background . "border-topright")
						(right-edge . -20)
						(top-edge . -24)
						(class . top-right-corner)
					)
					(
						(background . "border-bottomright")
						(right-edge . -20)
						(bottom-edge . -24)
						(class . bottom-right-corner)
					)
					(
						(background . "border-top")
						(left-edge . 5)
						(right-edge . 0)
						(top-edge . -24)
						(class . title)
						(text . window-name)
						(font . "-b&h-lucida-bold-r-normal-*-*-120-*-*-p-*-iso8859-1")
						(x-justify . right)
						(y-justify . center)
						(foreground . "#000000")
					)
					(
						(background . "border-bottom")
						(left-edge . 5)
						(right-edge . 0)
						(bottom-edge . -24)
						(class . bottom-border)
					)
					(
						(background . "border-bottomleft")
						(left-edge . -65)
						(bottom-edge . -24)
						(class . bottom-left-corner)
					)
				)
				("shaped-transient"
					(
						(background . "border-topleft-shaded")
						(left-edge . -65)
						(top-edge . -24)
						(class . top-left-corner)
					)
					(
						(background . "border-topright")
						(right-edge . -20)
						(top-edge . -24)
						(class . top-right-corner)
					)
					(
						(background . "border-top")
						(left-edge . 5)
						(right-edge . 0)
						(top-edge . -24)
						(class . title)
						(text . window-name)
						(font . "-b&h-lucida-bold-r-normal-*-*-120-*-*-p-*-iso8859-1")
						(x-justify . right)
						(y-justify . center)
						(foreground . "#000000")
					)
				)
				("unframed"
				)
			)
		)
		(mapping-alist
		 '(
				(default . "normal")
				(transient . "transient")
				(shaped . "shaped")
				(shaped-transient . "shaped-transient")
				(unframed . "nil")
				;;(shaded . "shaded")
			)
		)

		(theme-name 'LCARS-Cape)
	)

	(add-frame-style theme-name 
		(make-theme patterns-alist frames-alist mapping-alist)
	)
	(when 
		(boundp 'mark-frame-style-editable)
		(mark-frame-style-editable theme-name)
	)
)
